Subject: bug#767: 23.0.60; compilation-start gives bad default-directory

From: "Lennart Borgman (gmail)" <[email-masked]>
Date: Sun, 07 Sep 2008 21:40:45 +0200

Stefan Monnier wrote:
>> If on w32 default-directory is something like c:\top\sub then the
> 
> Then it's a bug.  C-h v default-directory says:
> 
>    Name of default directory of current buffer.  Should end with slash.
>    To interactively change the default directory, use command `cd'.
> 
> So if it doesn't end in slash, we have a problem.

I never noticed that it must end with a slash and in many circumstances
it works without it.

I suggested that this should be fixed somewhere in start-process and I
think Chong added something along those lines.

Do you suggest something else? (Making Emacs actually require the ending
slash seems is not very backwards compatible.)